Module java.management
Package javax.management.relation

## Interface RelationType

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  RelationTypeSupport

    public interface RelationType
    extends Serializable

The RelationType interface has to be implemented by any class expected to represent a relation type.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getRelationTypeName()` Returns the relation type name.
`RoleInfo` `getRoleInfo(String roleInfoName)` Returns the role info (RoleInfo object) for the given role info name (null if not found).
`List<RoleInfo>` `getRoleInfos()` Returns the list of role definitions (ArrayList of RoleInfo objects).

### Method Detail

#### getRelationTypeName

    String getRelationTypeName()

Returns the relation type name.

Returns:
  the relation type name.

#### getRoleInfos

    List<RoleInfo> getRoleInfos()

Returns the list of role definitions (ArrayList of RoleInfo objects).

Returns:
  an `ArrayList` of `RoleInfo`.

#### getRoleInfo

    RoleInfo getRoleInfo(String roleInfoName)
                  throws IllegalArgumentException,
                         RoleInfoNotFoundException

Returns the role info (RoleInfo object) for the given role info name (null if not found).

Parameters:
  `roleInfoName` - role info name
Returns:
  RoleInfo object providing role definition does not exist
Throws:
  `IllegalArgumentException` - if null parameter
  `RoleInfoNotFoundException` - if no role info with that name in relation type.